#include <Wt/Dbo/Query> //Query
#include <Wt/Dbo/ptr> //ptr
#include <Wt/Dbo/collection> //collection

#include "SBlogPreCompile.h" //collection

#include "ArticleListWidget.h" //ArticleListWidget
#include "ArticleDigestWidget.h" //ArticleDigestWidget
#include "SbDbItem.h" //SbDbItem

/*!
 * \brief StoreListWidget::StoreListWidget Constructor.
 * \param Ssn2Use The wt dbo session to use.
 */
ArticleListWidget::ArticleListWidget()
{
    dgstLstWdgt=new WContainerWidget; //Create the digest container.
    addWidget (dgstLstWdgt); //Add the digest container.

    ListArticles(); //列出Article digests on this page。
} //ArticleListWidget::ArticleListWidget(Dbo::Session *Ssn2Use):session(Ssn2Use)

/*!
 * \brief FinanceFlowListWidget::ListFlow 列出资金流水。
 */
void ArticleListWidget::ListArticles()
{
    dgstLstWdgt->clear (); //清空已有的摘要部件列表。

    ArticleDigestWidget * articleDigestWidget=new ArticleDigestWidget; //创建摘要部件。

    dgstLstWdgt->addWidget (articleDigestWidget); //加入摘要部件。

    articleDigestWidget->setArticleId (0); //设置文章编号。

    return;
} //void FinanceFlowListWidget::ListFlow() //!<列出资金流水。
