
#include <Wt/WOverlayLoadingIndicator> //WOverlayLoadingIndicator
#include <Wt/WImage> //WImage
#include <QtDebug> //qDebug

#include "SBlogApplication.h" //SBlogApplication

/*!
  *@brief 构造函数。
  *
  *WQApplication构造函数中第二个参数是指启用QT事件循环。
  */
SBlogApplication::SBlogApplication(const WEnvironment& env): WApplication(env)
{
    messageResourceBundle().use("Translations/messages"); //载入翻译内容。


    WebPage= new SBlog(root()); //创建一个网站对象。

    WString CrtTmStr=WDateTime::currentDateTime().toString("hhmmss"); //当前时间对应的字符串。

    useStyleSheet("css/QueueMateWeb.css?version="+CrtTmStr.toUTF8()); //设置样式单。这是默认样式单。

    Wt::log ("notice") << WString::tr("Locale name:") << locale().name (); //Debug.

    useStyleSheet("css/QueueMateWeb."+locale().name()+".css?version="+CrtTmStr.toUTF8()); //设置样式单。使用浏览器报告的语言。
    useStyleSheet("css/QueueMateWeb.400.700.css?version="+CrtTmStr.toUTF8(),"screen and (min-width:400px) and (max-width:700px)"); //设置样式单。响应式设计样式单。

    require ("http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"); //引入MathJax库。

    return;
} //GenieProWebApplication::GenieProWebApplication(const WEnvironment& env)
//: WApplication(env)


/*!
  *@brief 析构函数。
  */
SBlogApplication::~SBlogApplication()
{
    delete WebPage; //删除对象。
} //GenieProWebApplication::~GenieProWebApplication()
